Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985670 - Documentation gives incorrect command for deleting a user's namespace
Summary: Documentation gives incorrect command for deleting a user's namespace
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 1.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: bmoss
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-18 04:29 UTC by Miciah Dashiel Butler Masters
Modified: 2018-12-02 15:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-29 04:37:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miciah Dashiel Butler Masters 2013-07-18 04:29:51 UTC
Description of problem:
In Section 3.3. "Removing User Data" of the Administration Guide, the command for deleting the user's domain is missing the -n flag.


Version-Release number of selected component (if applicable):
OpenShift Enterprise Administration Guide Edition 1.2


How reproducible:
Completely.


Steps to Reproduce:
1. Read Section 3.3, Procedure 3.4., Step 4.


Actual results:
I see the following: command

    # oo-admin-ctl-domain -l username -c delete testdomain


Expected results:
I should see the following command (note the -n option before the domain name):

    # oo-admin-ctl-domain -l username -c delete -n testdomain


Additional info:
I am referencing the Administration Guide using the following URL:

https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html-single/Administration_Guide/index.html#sect-OpenShift_Enterprise-Administration_Guide-Removing_User_Data

Without the -n option, the domain argument is ignored, and oo-admin-ctl-domain tries to delete the user (this is on OSE 1.2):

    # oo-admin-ctl-domain -l demo -c delete testdomain
    User still has domains. Delete them first.

I notice that OSE 1.1 didn't even offer a way to delete the domain (I haven't checked whether it is possible to delete a user who has a domain):

https://github.com/openshift/enterprise-server/blob/enterprise-1.1/broker-util/oo-admin-ctl-domain#L111

In OSE 1.2, one can delete the domain if one specifies the -n option:

https://github.com/openshift/enterprise-server/blob/enterprise-1.2/broker-util/oo-admin-ctl-domain#L234

Also, as can be seen above, on OSE 1.2, it is necessary to delete the domain before one can delete the user.


Note You need to log in before you can comment on or make changes to this bug.